
Member Nodes - Task #4033

MNDeployment # 3188 (Deprecated): Kansas University Biodiversity Institute

Evaluate KUBI MN.getLogRecords() authorization policy

2013-10-03 16:33 - Chris Jones

Status: Closed Start date: 2013-10-03

Priority: Normal Due date:  

Assignee: CJ Grady % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

While calling MN.getLogRecords() on the KUBI MN, it looks like all log records are publicly viewable.  While this may not be an issue,

some repositories do not equate public read access to objects with public read access of the logs of those objects.  This is a policy

decision for the Biodiversity Institute (Is it okay that anyone can determine who (via IP or certificate subject) has been accessing

KUBI objects?). Note that the "MN.getLogRecords()":

http://mule1.dataone.org/ArchitectureDocs-current/apis/MN_APIs.html#MNCore.getLogRecords API method states "The response

MUST contain only records for which the requestor has permission to read." Log records are shown at 

https://bidataone.nhm.ku.edu/mn/v1/log.  I'm just bringing this to CJ and Aimee's attention so they can clarify their MN policy on

reading log records.

History

#1 - 2013-10-03 16:34 - Chris Jones

- Description updated

#2 - 2013-10-03 16:52 - Chris Jones

- Assignee changed from Roger Dahl to Aimee Stewart

Assigning to Aimee.

#3 - 2013-10-08 17:03 - CJ Grady

- Assignee changed from Aimee Stewart to CJ Grady

#4 - 2013-10-11 16:13 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

#5 - 2013-11-13 18:36 - Bruce Wilson

- Target version changed from 315 to Deploy by end of Y5Q2

#6 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#7 - 2014-02-20 21:21 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Operational
